%define name mcrypt
%define version 2.5.7
%define release 1mdk

Summary: Data encryption/decryption program
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://mcrypt.hellug.gr
License: GPL
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libmhash2-devel libmcrypt4-devel

%description
A replacement for the old unix crypt(1) command. Mcrypt
uses the following encryption (block) algorithms: BLOWFISH,
DES, TripleDES, 3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2
TEA (extended), TWOFISH, RC6, IDEA and GOST. The unix crypt
algorithm is also included, to allow compatibility with the
crypt(1) command.
CBC, ECB, OFB and CFB modes of encryption are supported.

%prep
%setup
%configure --program-prefix=""

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL LSM NEWS README THANKS TODO doc/FORMAT doc/magic doc/sample*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5.7-1mdk
- added by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- Initial Mandrake build

# end of file
